package com.ningdatech.pmapi.todocenter.model.dto.req;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 待办中心-待我处理查询实体信息
 *
 * @author CMM
 * @since 2023/01/12 16:01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ReqToBeProcessedDTO extends PagePo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("申报单位名称")
    private String reportUnitName;

    @ApiModelProperty("预算年度")
    private Integer budgetYear;

    @ApiModelProperty("流程发起开始时间")
    private LocalDateTime processLaunchStartTime;

    @ApiModelProperty("流程发起结束时间")
    private LocalDateTime processLaunchEndTime;

    @ApiModelProperty(value = "是否增补项目",allowableValues = "非增补项目 false,增补项目 true")
    private Boolean isSupplement;
}
